/* eslint-disable max-len */
import React, { SVGProps } from "react";

export const EnglishFlagIcon = ({ width = "19px", height = "14px", ...props }: SVGProps<SVGSVGElement>) => {
    return (
        <svg
            style={{ width: width, height: height }}
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
            viewBox="0 0 19 14"
            {...props}
        >
            <g id="Flag_of_the_Great_Britain">
                <g clipPath="url(#clip0_6457_13639)">
                    <g id="Group">
                        <path
                            id="Vector"
                            d="M18.2083 0H0.791667C0.581704 0 0.38034 0.0819442 0.231874 0.227806C0.0834075 0.373667 0 0.571498 0 0.777778L0 13.2222C0 13.4285 0.0834075 13.6263 0.231874 13.7722C0.38034 13.9181 0.581704 14 0.791667 14H18.2083C18.4183 14 18.6197 13.9181 18.7681 13.7722C18.9166 13.6263 19 13.4285 19 13.2222V0.777778C19 0.571498 18.9166 0.373667 18.7681 0.227806C18.6197 0.0819442 18.4183 0 18.2083 0Z"
                            fill="#002781"
                        />
                        <path
                            id="Vector_2"
                            d="M19 0.777778C19 0.571498 18.9166 0.373667 18.7681 0.227806C18.6197 0.0819442 18.4183 0 18.2083 0H16.1654L11.0833 3.84067V0H7.91667V3.84067L2.83456 0H0.791667C0.581704 0 0.38034 0.0819442 0.231874 0.227806C0.0834075 0.373667 0 0.571498 0 0.777778L0 1.78344L4.8446 5.44444H0V8.55556H4.8446L0 12.2169V13.2222C0 13.4285 0.0834075 13.6263 0.231874 13.7722C0.38034 13.9181 0.581704 14 0.791667 14H2.83456L7.91667 10.1593V14H11.0833V10.1593L16.1654 14H18.2083C18.4183 14 18.6197 13.9181 18.7681 13.7722C18.9166 13.6263 19 13.4285 19 13.2222V12.2169L14.1554 8.55556H19V5.44444H14.1554L19 1.78344V0.777778Z"
                            fill="#E6E6E6"
                        />
                        <path
                            id="Vector_3"
                            d="M19 6.22222H10.2917V0H8.70833V6.22222H0V7.77778H8.70833V14H10.2917V7.77778H19V6.22222Z"
                            fill="#D10D24"
                        />
                        <path
                            id="Vector_4"
                            d="M7.91741 8.44727L0.626953 13.9819C0.68135 13.9933 0.736794 13.9992 0.792411 13.9994H1.73687L7.91741 9.30749V8.44727Z"
                            fill="#D10D24"
                        />
                        <path
                            id="Vector_5"
                            d="M11.084 5.55217L18.3744 0.0175C18.32 0.00613291 18.2646 0.00026896 18.209 0H17.2645L11.084 4.69233V5.55217Z"
                            fill="#D10D24"
                        />
                        <path
                            id="Vector_6"
                            d="M7.12737 5.44464L0.243437 0.21875C0.166502 0.290964 0.105265 0.377751 0.063424 0.473867C0.0215832 0.569984 7.45887e-06 0.673435 0 0.777972L0 0.894639L5.9945 5.44464H7.12737Z"
                            fill="#D10D24"
                        />
                        <path
                            id="Vector_7"
                            d="M11.873 8.55469L18.757 13.7806C18.8339 13.7084 18.8952 13.6216 18.937 13.5255C18.9788 13.4293 19.0004 13.3259 19.0004 13.2214V13.1047L13.0059 8.55469H11.873Z"
                            fill="#D10D24"
                        />
                    </g>
                </g>
            </g>
            <defs>
                <clipPath id="clip0_6457_13639">
                    <rect width="19" height="14" rx="2" fill="white" />
                </clipPath>
            </defs>
        </svg>
    );
};
